ros-jazzy-ament-lint-cmake (0.17.5-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 07 Apr 2026 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.17.4-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 20 Jan 2026 23:00:00 -0000

ros-jazzy-ament-lint-cmake (0.17.3-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 04 Aug 2025 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.17.2-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 01 Apr 2025 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.17.1-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 26 Jun 2024 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.17.0-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 15 Apr 2024 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.16.4-1noble) noble; urgency=high

  * Update maintainer list in package.xml files (#474 <https://github.com/ament/ament_lint/issues/474>)
  * Contributors: Michael Jeronimo

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 27 Mar 2024 23:00:00 -0000

ros-jazzy-ament-lint-cmake (0.16.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 06 Feb 2024 23:00:00 -0000

ros-jazzy-ament-lint-cmake (0.16.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 Dec 2023 23:00:00 -0000

ros-jazzy-ament-lint-cmake (0.16.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 05 Nov 2023 23:00:00 -0000

ros-jazzy-ament-lint-cmake (0.16.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 03 Oct 2023 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.15.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 10 Jul 2023 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.15.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 06 Jun 2023 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.15.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 26 Apr 2023 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.14.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.14.0-1noble) noble; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#421 <https://github.com/ament/ament_lint/issues/421>)
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 13 Feb 2023 23:00:00 -0000

ros-jazzy-ament-lint-cmake (0.13.2-1noble) noble; urgency=high

  * Update maintainers (#379 <https://github.com/ament/ament_lint/issues/379>)
  * Contributors: methylDragon

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 12 Sep 2022 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.13.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 08 May 2022 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.13.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 28 Apr 2022 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.12.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 Apr 2022 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.12.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 27 Mar 2022 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.12.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-jazzy-ament-lint-cmake (0.12.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Feb 2022 23:00:00 -0000

ros-jazzy-ament-lint-cmake (0.11.4-1noble) noble; urgency=high

  * Update forthcoming version in changelogs
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-jazzy-ament-lint-cmake (0.11.3-1noble) noble; urgency=high

  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#340 <https://github.com/ament/ament_lint/issues/340>)
  * [ament_copyright] Fix file exclusion behavior (#327 <https://github.com/ament/ament_lint/issues/327>)
    * [ament_copyright] Fix file exclusion behavior
    This commit fixes the faulty file exclusion behavior reported in
    https://github.com/ament/ament_lint/issues/326.
    Specifically, the exclusion list is matched against traversed
    files in the crawler module.
    Changes inspired by https://github.com/ament/ament_lint/pull/299/.
    * Update excluded file path in copyright tests
    Since file names are not indiscriminately matched throughout the
    search tree anymore, the excluded files listed in the copyright
    tests need to be updated relative to the root of the package.
    * Add test cases to check exclusion behavior
    Specifically, these tests check for:
    - Incorrect exclusion of single filenames.
    - Correct exclusion of relatively/absolutely addressed filenames.
    - Correct exclusion of wildcarded paths.
    * Add unit tests for crawler module
    These unit tests make sure both search and exclusion behaviors are
    correctly demonstrated by the ament_copyright.crawler module.
  * Contributors: Abrar Rahman Protyasha, Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-jazzy-ament-lint-cmake (0.11.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Jun 2021 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.11.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Jun 2021 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.11.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Jun 2021 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.10.6-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 05 May 2021 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.10.5-1noble) noble; urgency=high

  * Remove Claire as a maintainer. (#312 <https://github.com/ament/ament_lint/issues/312>)
    * Remove Claire as a maintainer.
    * Remove dead email addresses.
    * Remove more dead email addresses.
    * Switch setup.py maintainer to Audrow.
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Apr 2021 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.10.4-1noble) noble; urgency=high

  * ament_lint_cmake: default linelength in argumentparser for consistency (#306 <https://github.com/ament/ament_lint/issues/306>)
  * Contributors: Emerson Knapp

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 17 Mar 2021 23:00:00 -0000

ros-jazzy-ament-lint-cmake (0.10.3-1noble) noble; urgency=high

  * 0.10.3
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 02 Mar 2021 23:00:00 -0000

ros-jazzy-ament-lint-cmake (0.10.2-1noble) noble; urgency=high

  * Fix ament_lint_cmake line length expression (#236 <https://github.com/ament/ament_lint/issues/236>)
    This regular expression is using the re.VERBOSE flag, meaning that
    characters after an un-escaped '#' character are interpreted as a
    comment and are not part of the expression.
    Also set the default maximum line length to 140 columns.
  * Add Audrow as a maintainer (#294 <https://github.com/ament/ament_lint/issues/294>)
  * Make CMake linter line length configurable (#235 <https://github.com/ament/ament_lint/issues/235>)
    Co-authored-by: Miaofei <mailto:miaofei@amazon.com>
  * Drop trailing tab from package manifests (#291 <https://github.com/ament/ament_lint/issues/291>)
    Follow-up to 8bf194aa1ac282db5483dd0d3fefff8f325b0db8
  * Contributors: Audrow Nash, Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 11 Feb 2021 23:00:00 -0000

ros-jazzy-ament-lint-cmake (0.10.1-1noble) noble; urgency=high

  * Update maintainer (#274 <https://github.com/ament/ament_lint/issues/274>)
    * update maintainer
    * add authors
  * Contributors: Claire Wang

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-jazzy-ament-lint-cmake (0.10.0-1noble) noble; urgency=high

  * Add pytest.ini so local tests don't display warning. (#259 <https://github.com/ament/ament_lint/issues/259>)
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Sep 2020 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.9.4-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.9.3-1noble) noble; urgency=high

  * Close source files after reading them (#249 <https://github.com/ament/ament_lint/issues/249>)
    Resolves the ResourceWarning messages coming to the console during
    testing with debug-enabled Python.
  * Contributors: Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 17 May 2020 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.9.2-1noble) noble; urgency=high

  * Allow AMENT_IGNORE markers to be directories (#232 <https://github.com/ament/ament_lint/issues/232>)
  * Contributors: Dan Rose

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 May 2020 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.9.1-1noble) noble; urgency=high

  * 0.9.0
  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Generate xunit files valid for the junit10.xsd (#220 <https://github.com/ament/ament_lint/issues/220>)
  * remove status attribute from result XML (#212 <https://github.com/ament/ament_lint/issues/212>)
  * Contributors: Chris Lalancette, Dirk Thomas, Jose Luis Rivero

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 09 Apr 2020 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.8.1-1noble) noble; urgency=high

  * install resource marker file for packages (#193 <https://github.com/ament/ament_lint/issues/193>)
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.8.0-1noble) noble; urgency=high

  * install manifest files in Python packages (#185 <https://github.com/ament/ament_lint/issues/185>)
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 16 Sep 2019 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.7.4-1noble) noble; urgency=high

  * Raw strings in cmakelint.py.
    This fixes DeprecationWarning on Windows.
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 30 Jul 2019 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.7.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 09 May 2019 12:08:00 -0000

ros-jazzy-ament-lint-cmake (0.7.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 09 May 2019 07:30:00 -0000

ros-jazzy-ament-lint-cmake (0.7.1-1noble) noble; urgency=high

  * update phrase of status messages (#137 <https://github.com/ament/ament_lint/issues/137>)
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 06 May 2019 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.7.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 10 Apr 2019 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.6.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 13 Jan 2019 23:00:00 -0000

ros-jazzy-ament-lint-cmake (0.6.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 05 Dec 2018 23:00:00 -0000

ros-jazzy-ament-lint-cmake (0.6.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 14 Nov 2018 23:00:00 -0000

ros-jazzy-ament-lint-cmake (0.6.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Nov 2018 23:00:00 -0000

ros-jazzy-ament-lint-cmake (0.5.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 26 Jun 2018 22:00:00 -0000

ros-jazzy-ament-lint-cmake (0.5.1-1noble) noble; urgency=high

  * level setup.py versions to 0.5.1
  * Contributors: Mikael Arguedas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 Jun 2018 11:47:00 -0000

ros-jazzy-ament-lint-cmake (0.5.0-1noble) noble; urgency=high

  * add pytest markers to linter tests
  * set zip_safe to avoid warning during installation (#96 <https://github.com/ament/ament_lint/issues/96>)
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 Jun 2018 08:09:00 -0000

ros-jazzy-ament-lint-cmake (0.4.0-1noble) noble; urgency=high

  * remove test_suite, add pytest as test_requires
  * 0.0.3
  * Merge pull request #84 <https://github.com/ament/ament_lint/issues/84> from ament/flake8_plugins
    update style to satisfy new flake8 plugins
  * update style to satisfy new flake8 plugins
  * Merge pull request #81 <https://github.com/ament/ament_lint/issues/81> from ament/ignore_build_spaces
    ignore folders with an AMENT_IGNORE file, e.g. build spaces
  * ignore folders with an AMENT_IGNORE file, e.g. build spaces
  * 0.0.2
  * Merge pull request #78 <https://github.com/ament/ament_lint/issues/78> from ament/use_flake8
    use flake8 instead of pep8 and pyflakes
  * fix style warnings
  * Test python module import order using flake8 (#63 <https://github.com/ament/ament_lint/issues/63>)
    * Add flake8 linter
    * Don't deal with flake8-import-order just yet
    * Debugging prints
    * Reinstate import order rule
    * Fix reporting bug by using the inner flake8 style guide
    * Fixup
    * Add comment on wrapper StyleGuide use
    * use flake8 v3 (#1 <https://github.com/ament/ament_lint/issues/1>)
    * Reorder package.xml
    * Get the filenames from the file checkers because input_file isn't called by flake8 anymore
    * Output count of all error types
    * Get flake8 to use the config file
    The current implementation of get_style_guide does not process the config file correctly.
    * Error when flake8 v2 found
    * Print errors like pep8
    * remove __future__ imports
    * add schema to manifest files
    * Support flake8 v2 as well as v3
    * Output checked files
    otherwise it's not present in xunit files for tests run directly with nose (not ament_cmake_flake8)
    * Prevent v2 imports from happening on systems with v3
    * Flake8 replaces pep8+pyflakes
  * remove __future__ imports
  * update schema url
  * add schema to manifest files
  * Merge pull request #42 <https://github.com/ament/ament_lint/issues/42> from ament/remove_second_extension
    remove result type extension from testsuite name
  * remove result type extension from testsuite name
  * Merge pull request #28 <https://github.com/ament/ament_lint/issues/28> from ament/pep257
    add packages to check pep257 compliance
  * use ament_pep257
  * apply normpath to prevent './' prefix (fix #24 <https://github.com/ament/ament_lint/issues/24>)
  * Merge pull request #22 <https://github.com/ament/ament_lint/issues/22> from ament/fix_tests-ros2/ros2#21 <https://github.com/fix_tests-ros2/ros2/issues/21>
    add missing error category in lint_cmake
  * add missing error category in lint_cmake
  * also check style of .cmake.in files
  * Merge pull request #19 <https://github.com/ament/ament_lint/issues/19> from ament/split_linter_packages_in_python_and_cmake
    split linter packages in python and cmake
  * make use of python linter packages
  * move cmake part of ament_lint_cmake to ament_cmake_lint_cmake
  * disable debug output
  * Merge pull request #16 <https://github.com/ament/ament_lint/issues/16> from ament/fixup_ament_lint_cmake
    Some fixes to ament_lint_cmake
  * add trailing newline to generated test result files
  * add note about change from upstream
  * fixup file name ends with check
  * add --filters to ament_lint_cmake
  * filter errors in a file using a CMake comment
    For example you can do something like:
    # lint_cmake: -package/consistency, -convention/filename
    To suppress those two categories of warnings.
    The filter is limited to the current file.
  * improve SetFilters ability to parse new filters
  * fix typo
  * add missing copyright / license information
  * Merge pull request #14 <https://github.com/ament/ament_lint/issues/14> from ament/test_runner_windows
    change test runner to work on windows
  * update cmakelint to work on windows
  * change test runner to work on windows
  * Merge pull request #9 <https://github.com/ament/ament_lint/issues/9> from ament/docs
    add docs for linters
  * add docs for linters
  * modify generated unit test files for a better hierarchy in Jenkins
  * make testname argument optional for all linters
  * use other linters for the linter packages where possible
  * Merge pull request #2 <https://github.com/ament/ament_lint/issues/2> from ament/ament_lint_auto
    allow linting based on test dependencies only
  * add ament_lint_auto and ament_lint_common, update all linter packages to implement extension point of ament_lint_auto
  * avoid unnecessary newlines
  * use project(.. NONE)
  * update to latest refactoring of ament_cmake
  * add dependency on ament_cmake_environment
  * add ament_lint_cmake
  * Contributors: Dirk Thomas, William Woodall, dhood

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 Dec 2017 23:00:00 -0000


